## org.eclipse.emf.mapping.presentation
Class MappingUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.emf.mapping.presentation.MappingUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class MappingUIPlugin

extends AbstractUIPlugin

This is the central singleton for the emf.mapping plugin.

Field Summary
`protected static MappingUIPlugin` `instance` Keep track of the singleton.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`MappingUIPlugin()` Create the instance.

Method Summary
`Image` `getImage(java.lang.String key)` This get a .gif from the image registry, which caches the icons folder.
`ImageDescriptor` `getImageDescriptor(java.lang.String key)` This gets a .gif from the icons folder.
`static MappingUIPlugin` `getPlugin()` Get the singleton instance.
`java.lang.String` `getString(java.lang.String key)`
`java.lang.String` `getString(java.lang.String key, java.lang.Object s1)`
`java.lang.String` `getString(java.lang.String key, java.lang.Object s1, java.lang.Object s2)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instance

    protected static MappingUIPlugin instance

  Keep track of the singleton.

Constructor Detail

### MappingUIPlugin

    public MappingUIPlugin()

  Create the instance.

Method Detail

### getPlugin

    public static MappingUIPlugin getPlugin()

  Get the singleton instance.

### getString

    public java.lang.String getString(java.lang.String key)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object s1)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object s1,
                                      java.lang.Object s2)

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(java.lang.String key)

  This gets a .gif from the icons folder.

### getImage

    public Image getImage(java.lang.String key)

  This get a .gif from the image registry, which caches the icons folder.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.